########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../gl.4gm/o_balsht.4gs/globals.4gl  1.6  Delta: 1/11/91
########################################################################

database standard

globals
    define
        s_date like stxperdr.start_date,
        e_date like stxperdr.end_date,
        p_gcntrc record like stgcntrc.*, # like the g/l control table
        progid   char(17),          # program identification
        rpt record                  # record for the report
            subtotal_group like stxchrtr.subtotal_group,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            period_year like stxchrtd.period_year,
            period_month like stxchrtd.period_month,
            balance like stxchrtd.balance,
            this_month like stxchrtd.this_month,
            co_name like stxcntrc.co_name,
            acct_period char(32),
            asterisk char(1),
            note char(20),
            dept char(30),
            category char(30),
            acct_type like stxchrtr.acct_type,
            sub_group like stxchrtr.subtotal_group,
            acct_no like stxchrtr.acct_no,
            department like stxchrtd.department,
            acct_desc like stxchrtr.acct_desc,
            amount like stxchrtd.balance,
            sub_amt like stxchrtd.balance,
            acct_cat like stxchrtr.acct_cat,
            processing_seq like stxchrtr.processing_seq
        end record,
        accum record    # accumulation record
            pl_amount like stxchrtd.balance,
            acct_mo like stxchrtd.period_month,
            acct_yr like stxchrtd.period_year,
            acct_period char(32),
            this_period smallint,
            note char(20),
            dept char(30),
            sub_group like stxchrtr.subtotal_group,
            sub_accum smallint,
            sub_amt like stxchrtd.balance
        end record,
        curs record                 # record like the cursor
            subtotal_group like stxchrtr.subtotal_group,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            period_year like stxchrtd.period_year,
            period_month like stxchrtd.period_month,
            balance like stxchrtd.balance,
            this_month like stxchrtd.this_month,
            acct_type like stxchrtr.acct_type,
            acct_no like stxchrtr.acct_no,
            department like stxchrtd.department,
            acct_desc like stxchrtr.acct_desc,
            acct_cat like stxchrtr.acct_cat,
            processing_seq like stxchrtr.processing_seq
        end record,
        curs_next record            # next row of cursor
            subtotal_group like stxchrtr.subtotal_group,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            period_year like stxchrtd.period_year,
            period_month like stxchrtd.period_month,
            balance like stxchrtd.balance,
            this_month like stxchrtd.this_month,
            acct_type like stxchrtr.acct_type,
            acct_no like stxchrtr.acct_no,
            department like stxchrtd.department,
            acct_desc like stxchrtr.acct_desc,
            acct_cat like stxchrtr.acct_cat,
            processing_seq like stxchrtr.processing_seq
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

